@use "../../../../styles/variables/colors.scss";

.cover-photo__viewport_friend {
  position: relative;

  width: 100%;
  height: 520px;

  box-sizing: border-box;
  border-radius: 8px;

  overflow: hidden;
  background-color: colors.$bg_cover-photo;
  cursor: pointer;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    border-radius: 8px;
    background: linear-gradient(
      180deg,
      rgba(24, 25, 26, 0) 0%,
      rgba(24, 25, 26, 0.5) 85%,
      rgba(9, 10, 10, 0.85) 95%,
      rgb(0, 0, 0, 0.95) 100%
    );
  }
  &:hover::before {
    filter: contrast(0.9);
  }

  @media (max-width: 1250px) {
    height: 41.6vw;
  }
}

.cover-photo__img_friend {
  width: 100%;
  height: 100%;

  object-fit: cover;
  border-radius: 8px;
}
